---
title: Create Habitat packages overview
---

# Create Packages
Packages are the cryptographically-signed tarballs that are uploaded, downloaded, unpacked, and installed in Habitat. They are built from shell scripts known as plans, but may also include runtime hooks and service configuration files that describe the behavior and configuration of a running package. More conceptual information on packages can be found in the [Packages concept topic](/docs/concepts-packages/).

## Section details

- [Create plans](/docs/create-plans/): Describes what a plan is and how to create one.
- [Add configuration to plans](/docs/create-packages-configure/): Learn how to make your running service configurable by templatizing configuration files in your plan.
- [Binary-only packages](/docs/create-packages-binary-only/): Learn how to create packages from software that comes only in binary form, like off-the-shelf or legacy programs.

You may also find the [plan syntax guide](/docs/reference/plan-syntax/) useful. It lists the settings, variables, and functions that you can use when creating your plan.

<hr>
<ul class="main-content--link-nav">
  <li>Continue to the next topic</li>
  <li><a href="/docs/create-plans">Create plans</a></li>
</ul>
