---
title: Habitat documentation
---

# Habitat documentation

Habitat centers application configuration, management, and behavior around the application itself, not the infrastructure that the app runs on. It provides automation to programmatically and declaratively build, run, and manage your appliation and services, both stateful and stateless. Habitat can be deployed and run on various infrastructure environments, such as bare metal, VM, containers, and PaaS.

The Habitat documentation is broken out into the following sections:

- [Tutorials](/tutorials): Location for our getting started and advanced tutorials. Start here if you are new to Habitat.
- [Concepts](/docs/concepts-overview): Describes the major components of Habitat and how they work.
- [Create packages](/docs/create-packages-overview): Learn how to create a plan, what all of the plan settings are, how to configure a package, and how to build packages.
- [Run packages](/docs/run-packages-overview): Learn how to run a package natively as well as through an external runtime format, such as a Docker or rkt container, VM, or baremetal server.

## Getting Habitat

Instructions for getting Habitat are on the [Get Habitat](/docs/get-habitat) page.

<hr>
<ul class="main-content--link-nav">
  <li>Continue to the next topic</li>
  <li><a href="/docs/get-habitat">Get Habitat</a></li>
</ul>
